component:
  - audit
framework: beakerlib
require:
  - url: https://gitlab.cee.redhat.com/special-projects/tests/audit
    name: /Library/testing
    type: library
  - audit
contact:
  - Ondrej Moris <omoris@redhat.com>
description: |
    Since 2.6.6 audit support multiple keys for audit events. You can create
    audit rules with more than one keys and you can also search logs using
    more than one key. This test covers both cases. Please notice that in
    ausearch, multiple key parameters mean logical AND.
duration: 15m
enabled: true
extra-nitrate: TC#0548233
extra-summary: /CoreOS/audit/Sanity/multikey
extra-task: /CoreOS/audit/Sanity/multikey
recommend:
  - audit
summary: Smoke test for multikey support (added in 2.6.6)
tag:
  - CI-Tier-1
  - TIPpass_Security
  - Tier1
  - Tier1security
test: ./runtest.sh
tier: '1'
name: /Sanity/multikey
order: 50
link: []
id:
path: /Sanity/multikey
manual: false
tty: false
environment: {}
result: respect
where:
check: []
restart-on-exit-code: []
restart-max-count: 1
restart-with-reboot: false
sources:
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/main.fmf
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/Sanity/multikey/main.fmf
context: {}
